## erlang-horse 0+git20161117.0.4dc81d4

=== Makefile ===
# See LICENSE for licensing information.

PROJECT = horse

include erlang.mk

=== debian/changelog ===
erlang-horse (0+git20161117.0.4dc81d4-1) unstable; urgency=medium

  * Initial release (Closes: #917049)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 29 May 2018 12:18:01 +0900

=== debian/control ===
Source: erlang-horse
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 11),
	erlang-dev (>= 1:14.b.4),
	erlang-eunit (>= 1:14.b.4),
	erlang-edoc (>= 1:14.b.4),
Homepage: https://github.com/ninenines/horse
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-horse.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-horse

Package: erlang-horse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
	${erlang:Depends}
Description: Erlang library for integrated performance testing
 Horse is designed to provide quick feedback on the performance
 of units of code, for example a function or a group of functions.
 .
 Horse works in a manner similar to the `eunit` application: it
 will export automatically all the performance test functions,
 run them one after another and give you a convenient report.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

PACKAGE = horse

%:
	dh $@

override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(DEB_VERSION_UPSTREAM)/ebin
	install -m 644 src/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(DEB_VERSION_UPSTREAM)/ebin/

override_dh_gencontrol-arch:
	erlang-depends -a -perlang-$(PACKAGE)
	dh_gencontrol -a -perlang-$(PACKAGE)

override_dh_compress:
	dh_compress -X.erl -X.beam

override_dh_auto_clean:
	dh_auto_clean
